compile:
	../../deployable --output test.pl --bundle --no-tar hello.sh
	../../deployable --output test-passthrough.pl --bundle --no-tar --passthrough hello.sh

test: check clean

execute:

clean:
	@rm -rf test.pl test-passthrough.pl

check: compile
	./test.pl whatever
	./test.pl --whatever || echo 'OK, expected an error'
	./test-passthrough.pl --whatever
	@echo -e "\nall tests successful"
